Skip to main content
GET
/
workspaces
/
{workspace_id}
/
folders
/
directory
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "title": "<string>",
    "description": "<string>",
    "status": "<string>",
    "icon_url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 123,
    "type": "<string>",
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "ref": "<string>",
        "color": "<string>"
      }
    ],
    "alias": "<string>",
    "error_handler": "<string>",
    "latest_definition": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version": 123,
      "created_at": "2023-11-07T05:31:56Z"
    },
    "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "trigger_summary": {
      "schedule_count_online": 0,
      "schedule_cron": "<string>",
      "schedule_natural": "<string>",
      "webhook_active": false,
      "case_trigger_events": []
    }
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

path
string
default:/

Folder path

Response

Successful Response

id
string
required
Pattern: wf_[0-9a-zA-Z]+
title
string
required
description
string
required
status
string
required
icon_url
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
version
integer | null
required
type
string
required
Allowed value: "workflow"
tags
TagRead · object[] | null
alias
string | null
error_handler
string | null
latest_definition
WorkflowDefinitionReadMinimal · object | null
folder_id
string<uuid> | null
trigger_summary
WorkflowTriggerSummary · object | null